package com.njcn.gather.device.types.service;

import com.njcn.gather.device.types.pojo.param.DeviceTypeParam;
import com.njcn.gather.device.types.pojo.vo.DeviceTypeVO;
import com.njcn.gather.device.types.pojo.vo.PqdifCheckPlaceholderVO;

import java.util.List;

/**
 * 设备类型服务。
 */
public interface DeviceTypeService {

    List<DeviceTypeVO> listDeviceTypes(String keyword);

    boolean addDeviceType(DeviceTypeParam param);

    boolean updateDeviceType(DeviceTypeParam.UpdateParam param);

    boolean deleteDeviceType(List<String> ids);

    PqdifCheckPlaceholderVO pqdifCheck(String devTypeId);
}
